%define  patch_name kernel-feat-core-win4lin

Name: %{patch_name}
Version: 2004.12.11
Release: alt2.M30.1
Summary: %patch_name kernel patch - win4lin patch
License: GPL
Group: Development/Other
BuildArch: noarch

%source 1 mki-adapter.patch		2.4
%source 2 mki-adapter26_1_3_13.patch	2.6
%source 3 Kernel-Win4Lin3-2.4.27.patch	2.4
%source 4 Kernel-Win4Lin3-2.6.12.6.patch	2.6
#source 20 Win4Lin3-2.6.9-noreiser4.patch	2.6/not_kernel-feat-fs-reiser4
#source 21 Win4Lin3-2.6.11-reiser4.patch	2.6/kernel-feat-fs-reiser4
####source 22 Kernel-Win4Lin3-2.6.x-regparm-ok.patch 2.6
%source 24 Win4Lin3-2.4.27-nosm-ng.patch   	2.4/not_kernel-feat-fs-supermount-ng
#source 25 mki-do_exit_update.patch	2.6

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires: kernel-build-tools >= 0.6-alt1

%description
Netraverse Win4Lin kernel patch

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Fri Mar 10 2006 Igor Vlasenko <viy@altlinux.ru> 2004.12.11-alt2.M30.1
- update patch for 2.6.12. (just for Compact 3.0)

* Sun Mar 20 2005 LAKostis <lakostis at altlinux.ru> 2004.12.11-alt1.3
- update patch for 2.6.11.
- update patch not to conflict with reiser4.

* Sat Feb 12 2005 LAKostis <lakostis at altlinux.ru> 2004.12.11-alt1.2
- Fix mki.c for gcc3.4 compatability.

* Sat Dec 11 2004 LAKostis <lakostis at altlinux.ru> 2004.12.11-alt1.1
- Updated to 2.6.10 kernel

* Sat Dec 11 2004 LAKostis <lakostis at altlinux.ru> 2004.12.11-alt1
- Updated to 2.6.9 kernel
- Updated mki-adapter patch for 2.6.x

* Mon Oct 18 2004 LAKostis <lakostis at altlinux.ru> 2004.09.16-alt1.2
- Adopted 2.4.27 patch not to conflict with kernel-feat-fs-supermount-ng

* Sun Sep 19 2004 LAKostis <lakostis at altlinux.ru> 2004.09.16-alt1.1
- Adapted 2.6.8.1 patch not to conflict with kernel-feat-fs-reiser4 

* Wed Sep 16 2004 LAKostis <lakostis at altlinux.ru> 2004.09.16-alt1
- Update 2.6.8.1 patch for -wks26 patchset.

* Wed Sep 15 2004 LAKostis <lakostis at altlinux.ru> 2004.09.15-alt1
- Updated to 2.6.8 and 2.4.27 kernel
- Updated mki-adapter patch for 2.6.x
- spec cleanups.

* Sat May 15 2004 Albert R. Valiev <darkstar@altlinux.ru> 2004.05.15-alt2
- Updated mki-adapter patch.

* Sat May 15 2004 Albert R. Valiev <darkstar@altlinux.ru> 2004.05.15-alt1
- Updated patch version to 2.6.6 kernel

* Mon May 10 2004 Albert R. Valiev <darkstar@altlinux.ru> 2004.05.10-alt1
- Fixed package version (adapted to policy)

* Mon May 10 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.6.5-alt2
- Fixed kernel version labels

* Mon May 10 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.6.5-alt1
- Patch for 2.4 kernel series updated to 2.4.25 kernel version
- Updated mki-adapter patch for 2.4 kenrel series
- Added patches for 2.6 kernel series

* Thu Sep 18 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.22-alt1
- Updated to 2.4.22 kernel patch

* Wed Jul 30 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.21-alt1
- Updated to 2.4.21 kernel patch
- Updated mki-adapter patch

* Thu May 29 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.21-alt0.1
- adapted to kernel policy
